View Issue Details

IDProjectCategoryView StatusLast Update
14858Bug reports[All Projects] Survey takingpublic2019-05-29 16:39
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14858: Upload status is not visible enough
Description

In file upload we show important part but without any class, and it's not really visible

Steps To Reproduce

See the screenshot done with included survey

Additional Information

I‘m for adding alert alert-warning since it's not error, but more warning

But : … did this broke API ?

(PS : the best solution is to move all of this to twig … but it take time (i think i already made the report))

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.2 github
I will donate to the project if issue is resolvedNo
BrowserFF 66
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14701 closedDenisChenu upload files - duplicate alert message 

Activities

DenisChenu

DenisChenu

2019-05-07 17:46

developer  

limesurvey_survey_upload.lss (20,924 bytes)
DenisChenu

DenisChenu

2019-05-08 11:02

developer   ~51820

https://github.com/LimeSurvey/LimeSurvey/commit/ffee4e19f81f9d0130fb033d394d6d8540ba0fcc

DenisChenu

DenisChenu

2019-05-08 11:07

developer   ~51822

After think it's not really a API broker, and hidding this is really a big issue when you have upload question …

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52189

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28916

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52216

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master ffee4e19

2019-05-08 10:24:04

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14858: Upload status is not visible enough (#1272) Affected Issues
14858
mod - application/controllers/UploaderController.php Diff File
mod - assets/scripts/uploader.js Diff File

Issue History

Date Modified Username Field Change
2019-05-07 17:46 DenisChenu New Issue
2019-05-07 17:46 DenisChenu File Added: limesurvey_survey_upload.lss
2019-05-07 17:46 DenisChenu File Added: Capture d’écran du 2019-05-07 17-42-40.png
2019-05-07 17:46 DenisChenu File Added: Capture d’écran du 2019-05-07 17-42-59.png
2019-05-07 17:46 DenisChenu File Added: Capture d’écran du 2019-05-07 17-43-10.png
2019-05-07 17:52 DenisChenu Relationship added related to 14701
2019-05-08 11:02 DenisChenu Assigned To => DenisChenu
2019-05-08 11:02 DenisChenu Status new => resolved
2019-05-08 11:02 DenisChenu Resolution open => fixed
2019-05-08 11:02 DenisChenu Fixed in Version => 3.17.x
2019-05-08 11:02 DenisChenu Note Added: 51820
2019-05-08 11:07 DenisChenu Note Added: 51822
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master ffee4e19
2019-05-29 16:12 DenisChenu Note Added: 52189
2019-05-29 16:39 c_schmitz Note Added: 52216
2019-05-29 16:39 c_schmitz Status resolved => closed